import requests
from jsonschema import validate


import server


def test_schema_compliance():
    resp = requests.get(
        "https://raw.githubusercontent.com/SpaceApi/schema/refs/heads/master/13.json"
    )
    resp.raise_for_status()
    schema = resp.json()

    spaceapi = server.state()

    validate(instance=spaceapi, schema=schema)
